Partners
Part of the Partners API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).
List partners
GET/admin/api/v1/partners/partnersRetrieve a paginated list of partners with filtering and sorting
🔒 Requires a valid Bearer token.
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: parent, country, state, title, company, industry, user, creator, addresses, contacts, bankAccounts, tags | tags,addresses |
filter[id] | string | No | Comma-separated list of IDs to filter by | |
filter[account_type] | string | No | Filter by account type | |
filter[name] | string | No | Filter by partner name (partial match) | |
filter[email] | string | No | Filter by email (partial match) | |
filter[phone] | string | No | Filter by phone (partial match) | |
filter[parent_id] | string | No | Comma-separated list of parent IDs to filter by | |
filter[user_id] | string | No | Comma-separated list of user IDs to filter by | |
filter[company_id] | string | No | Comma-separated list of company IDs to filter by | |
filter[title_id] | string | No | Comma-separated list of title IDs to filter by | |
filter[industry_id] | string | No | Comma-separated list of industry IDs to filter by | |
filter[country_id] | string | No | Comma-separated list of country IDs to filter by | |
filter[state_id] | string | No | Comma-separated list of state IDs to filter by | |
filter[trashed] | string | No | Filter by trashed status. Available options: with, without, only | |
sort | string | Yes | Sort field | name |
page | integer | Yes | Page number | 1 |
curl -X GET "https://your-domain.com/admin/api/v1/partners/partners?include=tags%2Caddresses&sort=name&page=1" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/partners/partners?include=tags%2Caddresses&sort=name&page=1", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/partners/partners?include=tags%2Caddresses&sort=name&page=1', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/partners/partners?include=tags%2Caddresses&sort=name&page=1"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"data": [
{
"id": 1,
"account_type": "individual",
"sub_type": "company",
"name": "My Company",
"email": "info@mycompany.local",
"phone": "1234567890",
"mobile": "1234567890",
"avatar": null,
"avatar_url": null,
"job_title": null,
"website": "https://mycompany.local",
"tax_id": "MYC123456",
"company_registry": "MYCREG001",
"reference": null,
"is_active": true,
"color": "#AAAAAA",
"street1": null,
"street2": null,
"city": null,
"zip": null,
"country_id": 104,
"state_id": null,
"parent_id": null,
"title_id": null,
"company_id": 1,
"industry_id": null,
"user_id": null,
"creator_id": 1,
"created_at": "2026-10-09T07:12:47.000000Z",
"updated_at": "2026-10-09T08:18:15.000000Z",
"deleted_at": null,
"country": {
"id": 104,
"name": "India",
"code": "IN",
"phone_code": "91",
"state_required": true,
"zip_required": true,
"currency_id": 20,
"created_at": "2026-10-09T07:12:47.000000Z",
"updated_at": "2026-10-09T07:12:47.000000Z"
},
"state": null
},
{
"id": 1,
"account_type": "individual",
"sub_type": "company",
"name": "My Company",
"email": "info@mycompany.local",
"phone": "1234567890",
"mobile": "1234567890",
"avatar": null,
"avatar_url": null,
"job_title": null,
"website": "https://mycompany.local",
"tax_id": "MYC123456",
"company_registry": "MYCREG001",
"reference": null,
"is_active": true,
"color": "#AAAAAA",
"street1": null,
"street2": null,
"city": null,
"zip": null,
"country_id": 104,
"state_id": null,
"parent_id": null,
"title_id": null,
"company_id": 1,
"industry_id": null,
"user_id": null,
"creator_id": 1,
"created_at": "2026-10-09T07:12:47.000000Z",
"updated_at": "2026-10-09T08:18:15.000000Z",
"deleted_at": null,
"country": {
"id": 104,
"name": "India",
"code": "IN",
"phone_code": "91",
"state_required": true,
"zip_required": true,
"currency_id": 20,
"created_at": "2026-10-09T07:12:47.000000Z",
"updated_at": "2026-10-09T07:12:47.000000Z"
},
"state": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"page": null,
"active": false
},
{
"url": "/?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "Next »",
"page": null,
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}Error response — 401
{
"message": "Unauthenticated."
}Create partner
POST/admin/api/v1/partners/partnersCreate a new partner
🔒 Requires a valid Bearer token.
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
account_type | string | Yes | Account type. |
name | string | Yes | Partner name (max 255 characters). Must not be greater than 255 characters. |
email | string | No | Email address (max 255 characters). Must be a valid email address. Must not be greater than 255 characters. |
phone | string | No | Phone number (max 20 characters). Must not be greater than 20 characters. |
mobile | string | No | Mobile number (max 20 characters). Must not be greater than 20 characters. |
avatar | string | No | Avatar file path (max 255 characters). Must not be greater than 255 characters. |
job_title | string | No | Job title (max 255 characters). Must not be greater than 255 characters. |
website | string | No | Website URL (max 255 characters). Must be a valid URL. Must not be greater than 255 characters. |
tax_id | string | No | Tax identification number (max 255 characters). Must not be greater than 255 characters. |
company_registry | string | No | Company registry number (max 255 characters). Must not be greater than 255 characters. |
reference | string | No | Reference code (max 255 characters). Must not be greater than 255 characters. |
color | string | No | Color in hex format (max 7 characters). Must not be greater than 7 characters. |
street1 | string | No | Street address line 1 (max 255 characters). Must not be greater than 255 characters. |
street2 | string | No | Street address line 2 (max 255 characters). Must not be greater than 255 characters. |
city | string | No | City (max 255 characters). Must not be greater than 255 characters. |
zip | string | No | Postal/ZIP code (max 20 characters). Must not be greater than 20 characters. |
state_id | integer | No | State ID. Must match an existing stored value. |
country_id | integer | No | Country ID. Must match an existing stored value. |
parent_id | integer | No | Parent partner ID (for addresses and contacts). Must match an existing stored value. |
title_id | integer | No | Title ID. Must match an existing stored value. |
company_id | integer | No | Company ID. Must match an existing stored value. |
industry_id | integer | No | Industry ID. Must match an existing stored value. |
user_id | integer | No | Associated user ID/Responsible Sale user. Must match an existing stored value. |
curl -X POST "https://your-domain.com/admin/api/v1/partners/partners" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"account_type": "individual",
"name": "Acme Corporation",
"email": "contact@acme.com",
"phone": "+1234567890",
"mobile": "+1234567890",
"avatar": "avatars/partner.jpg",
"job_title": "CEO",
"website": "https://acme.com",
"tax_id": "TAX-123456",
"company_registry": "REG-123456",
"reference": "PART-001",
"color": "#FF5733",
"street1": "123 Main Street",
"street2": "Suite 100",
"city": "New York",
"zip": "10001",
"state_id": 9,
"country_id": 233,
"title_id": 1,
"company_id": 1,
"industry_id": 1,
"user_id": 1
}'const response = await fetch("https://your-domain.com/admin/api/v1/partners/partners", {
method: "POST",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"account_type": "individual",
"name": "Acme Corporation",
"email": "contact@acme.com",
"phone": "+1234567890",
"mobile": "+1234567890",
"avatar": "avatars/partner.jpg",
"job_title": "CEO",
"website": "https://acme.com",
"tax_id": "TAX-123456",
"company_registry": "REG-123456",
"reference": "PART-001",
"color": "#FF5733",
"street1": "123 Main Street",
"street2": "Suite 100",
"city": "New York",
"zip": "10001",
"state_id": 9,
"country_id": 233,
"title_id": 1,
"company_id": 1,
"industry_id": 1,
"user_id": 1
}),
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/partners/partners', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'account_type' => 'individual',
'name' => 'Acme Corporation',
'email' => 'contact@acme.com',
'phone' => '+1234567890',
'mobile' => '+1234567890',
'avatar' => 'avatars/partner.jpg',
'job_title' => 'CEO',
'website' => 'https://acme.com',
'tax_id' => 'TAX-123456',
'company_registry' => 'REG-123456',
'reference' => 'PART-001',
'color' => '#FF5733',
'street1' => '123 Main Street',
'street2' => 'Suite 100',
'city' => 'New York',
'zip' => '10001',
'state_id' => 9,
'country_id' => 233,
'title_id' => 1,
'company_id' => 1,
'industry_id' => 1,
'user_id' => 1,
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/partners/partners"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
payload = {
"account_type": "individual",
"name": "Acme Corporation",
"email": "contact@acme.com",
"phone": "+1234567890",
"mobile": "+1234567890",
"avatar": "avatars/partner.jpg",
"job_title": "CEO",
"website": "https://acme.com",
"tax_id": "TAX-123456",
"company_registry": "REG-123456",
"reference": "PART-001",
"color": "#FF5733",
"street1": "123 Main Street",
"street2": "Suite 100",
"city": "New York",
"zip": "10001",
"state_id": 9,
"country_id": 233,
"title_id": 1,
"company_id": 1,
"industry_id": 1,
"user_id": 1,
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()
print(data)Example response 201
{
"data": {
"id": 1,
"account_type": "individual",
"sub_type": "company",
"name": "My Company",
"email": "info@mycompany.local",
"phone": "1234567890",
"mobile": "1234567890",
"avatar": null,
"avatar_url": null,
"job_title": null,
"website": "https://mycompany.local",
"tax_id": "MYC123456",
"company_registry": "MYCREG001",
"reference": null,
"is_active": true,
"color": "#AAAAAA",
"street1": null,
"street2": null,
"city": null,
"zip": null,
"country_id": 104,
"state_id": null,
"parent_id": null,
"title_id": null,
"company_id": 1,
"industry_id": null,
"user_id": null,
"creator_id": 1,
"created_at": "2026-10-09T07:12:47.000000Z",
"updated_at": "2026-10-09T08:18:15.000000Z",
"deleted_at": null,
"country": {
"id": 104,
"name": "India",
"code": "IN",
"phone_code": "91",
"state_required": true,
"zip_required": true,
"currency_id": 20,
"created_at": "2026-10-09T07:12:47.000000Z",
"updated_at": "2026-10-09T07:12:47.000000Z"
},
"state": null
},
"message": "Partner created successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Show partner
GET/admin/api/v1/partners/partners/{id}Retrieve a specific partner by its ID
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The partner ID |
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: parent, country, state, title, company, industry, user, creator, addresses, contacts, bankAccounts, tags | tags,addresses |
curl -X GET "https://your-domain.com/admin/api/v1/partners/partners/{id}?include=tags%2Caddresses" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/partners/partners/{id}?include=tags%2Caddresses", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/partners/partners/{id}?include=tags%2Caddresses', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/partners/partners/{id}?include=tags%2Caddresses"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"data": {
"id": 1,
"account_type": "individual",
"sub_type": "company",
"name": "My Company",
"email": "info@mycompany.local",
"phone": "1234567890",
"mobile": "1234567890",
"avatar": null,
"avatar_url": null,
"job_title": null,
"website": "https://mycompany.local",
"tax_id": "MYC123456",
"company_registry": "MYCREG001",
"reference": null,
"is_active": true,
"color": "#AAAAAA",
"street1": null,
"street2": null,
"city": null,
"zip": null,
"country_id": 104,
"state_id": null,
"parent_id": null,
"title_id": null,
"company_id": 1,
"industry_id": null,
"user_id": null,
"creator_id": 1,
"created_at": "2026-10-09T07:12:47.000000Z",
"updated_at": "2026-10-09T08:18:15.000000Z",
"deleted_at": null,
"country": {
"id": 104,
"name": "India",
"code": "IN",
"phone_code": "91",
"state_required": true,
"zip_required": true,
"currency_id": 20,
"created_at": "2026-10-09T07:12:47.000000Z",
"updated_at": "2026-10-09T07:12:47.000000Z"
},
"state": null
}
}Error response — 401
{
"message": "Unauthenticated."
}Update partner
PUT/admin/api/v1/partners/partners/{id}Update an existing partner
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The partner ID |
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
account_type | string | No | Account type. |
name | string | No | Partner name (max 255 characters). Must not be greater than 255 characters. |
email | string | No | Email address (max 255 characters). Must be a valid email address. Must not be greater than 255 characters. |
phone | string | No | Phone number (max 20 characters). Must not be greater than 20 characters. |
mobile | string | No | Mobile number (max 20 characters). Must not be greater than 20 characters. |
avatar | string | No | Avatar file path (max 255 characters). Must not be greater than 255 characters. |
job_title | string | No | Job title (max 255 characters). Must not be greater than 255 characters. |
website | string | No | Website URL (max 255 characters). Must be a valid URL. Must not be greater than 255 characters. |
tax_id | string | No | Tax identification number (max 255 characters). Must not be greater than 255 characters. |
company_registry | string | No | Company registry number (max 255 characters). Must not be greater than 255 characters. |
reference | string | No | Reference code (max 255 characters). Must not be greater than 255 characters. |
color | string | No | Color in hex format (max 7 characters). Must not be greater than 7 characters. |
street1 | string | No | Street address line 1 (max 255 characters). Must not be greater than 255 characters. |
street2 | string | No | Street address line 2 (max 255 characters). Must not be greater than 255 characters. |
city | string | No | City (max 255 characters). Must not be greater than 255 characters. |
zip | string | No | Postal/ZIP code (max 20 characters). Must not be greater than 20 characters. |
state_id | integer | No | State ID. Must match an existing stored value. |
country_id | integer | No | Country ID. Must match an existing stored value. |
parent_id | integer | No | Parent partner ID (for addresses and contacts). Must match an existing stored value. |
title_id | integer | No | Title ID. Must match an existing stored value. |
company_id | integer | No | Company ID. Must match an existing stored value. |
industry_id | integer | No | Industry ID. Must match an existing stored value. |
user_id | integer | No | Associated user ID/Responsible Sale user. Must match an existing stored value. |
curl -X PUT "https://your-domain.com/admin/api/v1/partners/partners/{id}" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"account_type": "individual",
"name": "Acme Corporation",
"email": "contact@acme.com",
"phone": "+1234567890",
"mobile": "+1234567890",
"avatar": "avatars/partner.jpg",
"job_title": "CEO",
"website": "https://acme.com",
"tax_id": "TAX-123456",
"company_registry": "REG-123456",
"reference": "PART-001",
"color": "#FF5733",
"street1": "123 Main Street",
"street2": "Suite 100",
"city": "New York",
"zip": "10001",
"state_id": 9,
"country_id": 233,
"title_id": 1,
"company_id": 1,
"industry_id": 1,
"user_id": 1
}'const response = await fetch("https://your-domain.com/admin/api/v1/partners/partners/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"account_type": "individual",
"name": "Acme Corporation",
"email": "contact@acme.com",
"phone": "+1234567890",
"mobile": "+1234567890",
"avatar": "avatars/partner.jpg",
"job_title": "CEO",
"website": "https://acme.com",
"tax_id": "TAX-123456",
"company_registry": "REG-123456",
"reference": "PART-001",
"color": "#FF5733",
"street1": "123 Main Street",
"street2": "Suite 100",
"city": "New York",
"zip": "10001",
"state_id": 9,
"country_id": 233,
"title_id": 1,
"company_id": 1,
"industry_id": 1,
"user_id": 1
}),
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-domain.com/admin/api/v1/partners/partners/{id}', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'account_type' => 'individual',
'name' => 'Acme Corporation',
'email' => 'contact@acme.com',
'phone' => '+1234567890',
'mobile' => '+1234567890',
'avatar' => 'avatars/partner.jpg',
'job_title' => 'CEO',
'website' => 'https://acme.com',
'tax_id' => 'TAX-123456',
'company_registry' => 'REG-123456',
'reference' => 'PART-001',
'color' => '#FF5733',
'street1' => '123 Main Street',
'street2' => 'Suite 100',
'city' => 'New York',
'zip' => '10001',
'state_id' => 9,
'country_id' => 233,
'title_id' => 1,
'company_id' => 1,
'industry_id' => 1,
'user_id' => 1,
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/partners/partners/{id}"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
payload = {
"account_type": "individual",
"name": "Acme Corporation",
"email": "contact@acme.com",
"phone": "+1234567890",
"mobile": "+1234567890",
"avatar": "avatars/partner.jpg",
"job_title": "CEO",
"website": "https://acme.com",
"tax_id": "TAX-123456",
"company_registry": "REG-123456",
"reference": "PART-001",
"color": "#FF5733",
"street1": "123 Main Street",
"street2": "Suite 100",
"city": "New York",
"zip": "10001",
"state_id": 9,
"country_id": 233,
"title_id": 1,
"company_id": 1,
"industry_id": 1,
"user_id": 1,
}
response = requests.put(url, headers=headers, json=payload)
data = response.json()
print(data)Example response 200
{
"data": {
"id": 1,
"account_type": "individual",
"sub_type": "company",
"name": "My Company",
"email": "info@mycompany.local",
"phone": "1234567890",
"mobile": "1234567890",
"avatar": null,
"avatar_url": null,
"job_title": null,
"website": "https://mycompany.local",
"tax_id": "MYC123456",
"company_registry": "MYCREG001",
"reference": null,
"is_active": true,
"color": "#AAAAAA",
"street1": null,
"street2": null,
"city": null,
"zip": null,
"country_id": 104,
"state_id": null,
"parent_id": null,
"title_id": null,
"company_id": 1,
"industry_id": null,
"user_id": null,
"creator_id": 1,
"created_at": "2026-10-09T07:12:47.000000Z",
"updated_at": "2026-10-09T08:18:15.000000Z",
"deleted_at": null,
"country": {
"id": 104,
"name": "India",
"code": "IN",
"phone_code": "91",
"state_required": true,
"zip_required": true,
"currency_id": 20,
"created_at": "2026-10-09T07:12:47.000000Z",
"updated_at": "2026-10-09T07:12:47.000000Z"
},
"state": null
},
"message": "Partner updated successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Delete partner
DELETE/admin/api/v1/partners/partners/{id}Soft delete a partner
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The partner ID |
curl -X DELETE "https://your-domain.com/admin/api/v1/partners/partners/{id}" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/partners/partners/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/partners/partners/{id}', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/partners/partners/{id}"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"message": "Partner deleted successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Restore partner
POST/admin/api/v1/partners/partners/{id}/restoreRestore a soft-deleted partner
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The partner ID |
curl -X POST "https://your-domain.com/admin/api/v1/partners/partners/{id}/restore" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/partners/partners/{id}/restore", {
method: "POST",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/partners/partners/{id}/restore', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/partners/partners/{id}/restore"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.post(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"message": "Partner restored successfully."
}Error response — 401
{
"message": "Unauthenticated."
}Force delete partner
DELETE/admin/api/v1/partners/partners/{id}/forcePermanently delete a partner
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The partner ID |
curl -X DELETE "https://your-domain.com/admin/api/v1/partners/partners/{id}/force" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"const response = await fetch("https://your-domain.com/admin/api/v1/partners/partners/{id}/force", {
method: "DELETE",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/partners/partners/{id}/force', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);import requests
url = "https://your-domain.com/admin/api/v1/partners/partners/{id}/force"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
data = response.json()
print(data)Example response 200
{
"message": "Partner permanently deleted."
}Error response — 401
{
"message": "Unauthenticated."
}